M_game_battle_field = {}

function M_game_battle_field:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_game_battle_field:init()
	self.datas = {}
	self.datas[1001] = {ID = 1001, monster_id = 1001, scene_type = 1, weight = 20, max_num = 2000, kill_count = {1,1}, award_drop_prob = 0.25}
	self.datas[1002] = {ID = 1002, monster_id = 1002, scene_type = 1, weight = 20, max_num = 2000, kill_count = {2,3}, award_drop_prob = 0.33}
end

M_game_battle_field:init()
